org.apache.tinkerpop.gremlin.process.traversal.step

## Enum PathProcessor.ElementRequirement

- java.lang.Object
- - java.lang.Enum<PathProcessor.ElementRequirement>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.PathProcessor.ElementRequirement

- All Implemented Interfaces:
    Serializable, Comparable<PathProcessor.ElementRequirement>
  Enclosing interface:
    PathProcessor

      public static enum PathProcessor.ElementRequirement
      extends Enum<PathProcessor.ElementRequirement>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGES`
    `ID`
    `LABEL`
    `PROPERTIES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathProcessor.ElementRequirement` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathProcessor.ElementRequirement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final PathProcessor.ElementRequirement ID

    - #### LABEL

          public static final PathProcessor.ElementRequirement LABEL

    - #### PROPERTIES

          public static final PathProcessor.ElementRequirement PROPERTIES

    - #### EDGES

          public static final PathProcessor.ElementRequirement EDGES

  - ### Method Detail

    - #### values

          public static PathProcessor.ElementRequirement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathProcessor.ElementRequirement c : PathProcessor.ElementRequirement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathProcessor.ElementRequirement valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.